@import 'styles/variables.css';

.caseBoxContainer {
  margin: 10px;
  width: 280px;
  height: 220px;
  box-sizing: border-box;
  padding: 20px 30px;
  position: relative;
  border: 1px solid rgba(220,220,220,0.4);
  box-shadow: 0 2px 7px 0 rgba(159, 178, 200, .62);
  transition: all 0.6s $ease-out-cubic;
  &:hover {
    transform: translateY(-2px);
    box-shadow: 0 6px 7px 0 rgba(159, 178, 200, .62);
  }
  &:hover .individualCaseBox {
    opacity: 1;
  }
  &:hover .viewButton {
    opacity: 1;
    transform: translateY(0px);
  }

  @media $media-tablet {
    display: inline-block;
    white-space: initial;
  }
}

.individualCaseBox {
  width: 100%;
  height: 100%;
  text-align: left;
  cursor: pointer;
  transition: opacity 0.6s $ease-out-cubic;
  position: relative;
}

.viewButton {
  position: absolute;
  right: 18px;
  bottom: 20px;
  transform: translateY(-5px);
  border: 1px solid $color-blue;
  color: $color-blue;
  padding: 5px 10px;
  opacity: 0;
  border-radius: 6px;
  transition: all 0.4s $ease-out-cubic 0.2s;
  cursor: pointer;
  background: white;

  @media $media-tablet {
    opacity: 1;
    transform: translateY(0px);
  }
}

.date {
  font-family: Spectral;
  font-weight: 600;
  font-style: italic;
  color: $color-blue;
  font-size: 18px;
  margin-bottom: 0px;
  position: absolute;
  bottom: 0px;
}

.summary {
  font-family: Spectral;
  font-weight: 800;
  color: $color-dark-dark-blue;
  font-size: 28px;
  line-height: 33px;
  position: absolute;
  top: 0px;
  max-height: 140px;
  width: 100%;
  height: 100%;
  overflow: hidden;
  margin-bottom: 8px;

  @media $media-tablet {
    font-size: 22px;
    max-height: 70px;
  }
}

.overviewContainer {
  position: absolute;
  top: 95px;
  color: #33557E;
  font-size: 13px;
}

.overviewTitle {
  font-weight: bold;
}

.overviewContent {
  line-height: 21px;
}

.customCaseBox {
  background: #fff;
  height: 350px;
  width: 85vw;
}
